

% OPTIONS           a structure containing required options
%   'colormap'      to specify a colormap from MATLAB or a custom one,
%                   DEFAULT='spring'
%   'colorstyle'    a continuous color or a discrete one,
%                   DEFAULT='continuous'
%   'colorstepno'   number of color steps in 'discrete' mode, DEFAULT=5
%   'intensestyle'  color intensity based on global or local or customized,
%                   DEFAULT='global'
%   'midpoint'      none, mean or median or a given set of number
%   'linestyle'     either line or dot, DEFAULT='-'

% YDATA = rand(200,100);
% tmpRow = randi(200 , 40 , 1);
% tmpCol = randi(100 , 40 , 1);
% YDATA(tmp) = YDATA(tmp) + 1;
% save('DATA.mat' , 'YDATA');

% customintvalMed = floor(length(YDATA) / 10);
% customintvalG = zeros(size(YDATA));
% for i = 1:10
%     if i ~= 10
%         customintvalG((i - 1) * customintvalMed + 1:i * customintvalMed , :) = i;
%     else
%         customintvalG((i - 1) * customintvalMed + 1:end , :) = i;
%     end
% end

% load('example\DATA.mat');
options = struct('colormap' , 'autumn' , ...
                 'colorstyle' , 'continuous' , ...
                 'colorstepno' , 5 , ...
                 'intensestyle' , 'global' , ...
                 'customintval' , customintvalL , ...
                 'midpoint' , 'median' , ...
                 'linestyle' , '-' , ...
                 'jitter' , true , ...
                 'jitteramount' , 0.8 , ...
                 'filledmarker' , true);

%% figure 2: simple global plot with continuous color
if ~exist('DATA' , 'var')
    load('example\DATA.mat');
end
options = struct('colorstyle' , 'continuous' , ...
                 'intensestyle' , 'global' , ...
                 'linestyle' , '-' , ...
                 'midpoint' , 'none');
             
gradientplot(1:24 , DATA(randi(length(DATA) , length(DATA)*0.2 , 1) , :) , options);


%% figure 3: simple global plot with continuous color and specific colormap
if ~exist('DATA' , 'var')
    load('example\DATA.mat');
end
options = struct('colorstyle' , 'continuous' , ...
                 'intensestyle' , 'global' , ...
                 'linestyle' , '-' , ...
                 'midpoint' , 'none');
             
map = [0, 0, 0.3 ; ...
       0, 0, 0.4 ; ...
       0, 0, 0.5 ; ...
       0, 0, 0.6 ; ...
       0, 0, 0.8 ; ...
       0, 0, 1.0];
   
options.colormap = map;

gradientplot(1:24 , DATA(randi(length(DATA) , length(DATA)*0.2 , 1) , :) , options);

%% figure 4: simple global plot with discrete color 
if ~exist('DATA' , 'var')
    load('example\DATA.mat');
end
options = struct('colorstyle' , 'discrete' , ...
                 'colormap' , 'autumn' , ...
                 'colorstepno' , 6 , ...
                 'intensestyle' , 'global' , ...
                 'linestyle' , '-' , ...
                 'midpoint' , 'none');
             

gradientplot(1:24 , DATA(randi(length(DATA) , length(DATA)*0.2 , 1) , :) , options);


%% figure 5: simple global plot with discrete color and scatter plot
if ~exist('DATA' , 'var')
    load('example\DATA.mat');
end
options = struct('colorstyle' , 'discrete' , ...
                 'colormap' , 'autumn' , ...
                 'colorstepno' , 6 , ...
                 'intensestyle' , 'global' , ...
                 'linestyle' , '.' , ...
                 'midpoint' , 'none');
             

gradientplot(1:24 , DATA(randi(length(DATA) , length(DATA)*0.2 , 1) , :) , options);


%% figure 6: simple global plot with discrete color and scatter plot and jitter settings
if ~exist('DATA' , 'var')
    load('example\DATA.mat');
end
options = struct('colorstyle' , 'discrete' , ...
                 'colormap' , 'winter' , ...
                 'colorstepno' , 6 , ...
                 'intensestyle' , 'global' , ...
                 'linestyle' , '.' , ...
                 'midpoint' , 'none' , ...
                 'jitter' , true , ...
                 'jitteramount' , 0.4, ...
                 'filledmarker' , true);
             

gradientplot(1:24 , DATA(randi(length(DATA) , length(DATA)*0.2 , 1) , :) , options);

%% figure 7: local plot with discrete color and scatter plot and jitter settings
if ~exist('DATA' , 'var')
    load('example\DATA.mat');
end
options = struct('colorstyle' , 'discrete' , ...
                 'colormap' , 'winter' , ...
                 'colorstepno' , 6 , ...
                 'intensestyle' , 'global' , ...
                 'linestyle' , '.' , ...
                 'midpoint' , 'none' , ...
                 'jitter' , true , ...
                 'jitteramount' , 0.4, ...
                 'filledmarker' , true);
             
options.intensestyle = 'local';

gradientplot(1:24 , DATA(randi(length(DATA) , length(DATA)*0.2 , 1) , :) , options);


%% figure 8: local plot with discrete color and scatter plot and jitter settings and midpoint
if ~exist('DATA' , 'var')
    load('example\DATA.mat');
end
options = struct('colorstyle' , 'discrete' , ...
                 'colormap' , 'winter' , ...
                 'colorstepno' , 6 , ...
                 'intensestyle' , 'local' , ...
                 'linestyle' , '.' , ...
                 'midpoint' , 'mean' , ...
                 'jitter' , true , ...
                 'jitteramount' , 0.4 , ...
                 'filledmarket' , true);
             
options.intensestyle = 'local';

gradientplot(1:24 , DATA(randi(length(DATA) , length(DATA)*0.2 , 1) , :) , options);

%% figure 10: local plot with discrete color and scatter plot and jitter settings and midpoint
             
if ~exist('DATA' , 'var')
    load('example\DATA.mat');
end
options = struct('colorstyle' , 'continuous' , ...
                 'colormap' , 'winter' , ...
                 'intensestyle' , 'global' , ...
                 'linestyle' , '.' , ...
                 'midpoint' , 'none');

options.showcolorbar = true;
options.colorbarlabel = 'test colorbar - winter';
options.colorbarfontsize = 10;
             
gradientplot(1:24 , DATA(randi(length(DATA) , length(DATA)*0.2 , 1) , :) , options);

